<div class="">

    <div id="task-list-body" class="collapse show">

       <div class="p-0">

          <app-data-table [enableActions]="_enableActions" [settings]="settings" [items]="eventList" [enableLoading]="loading" (action)="onAction($event)"></app-data-table>

       </div>

    </div>

 </div>

<!-- DELETE Event Modal -->
<ng-template #template>
  <div class="modal-header">
    <h4 class="modal-title pull-left small">{{'ACCOUNT_DETAILS.EVENT.DELETE_CONFIRM'|translate}}</h4>
    <button type="button" class="close pull-right text-danger" aria-label="Close" (click)="confirmationModalRef.hide()">
      <span aria-hidden="true">×</span>
    </button>
  </div>

  <div class="modal-body">
    <div class="text-danger">
      {{'ACCOUNT_DETAILS.EVENT.DELETE_TEXT'|translate}} n°{{selectedEventCode}} ?
    </div>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-default btn-secondary" (click)="confirmationModalRef.hide();">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
    <button type="button" class="btn btn-default btn-primary" (click)="confirmationModalRef.hide(); confirmDelete($event)">{{'FIELD.BUTTONS.VALID'|translate}}</button>
  </div>
</ng-template>
